/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Martin Borho <martin@borho.net>
 */
import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    width: parent.width
    height: units.gu(8)
    anchors.bottom: parent.bottom
    Rectangle {
        id: forecastLink
        anchors.left:parent.left
        anchors.leftMargin: units.gu(1)
        width:units.gu(14)
        height:parent.height
        Label {
            anchors.verticalCenter: parent.verticalCenter
            text: i18n.tr("10 days forecast")
            fontSize:"medium"
            color: mainView.footerColor
            MouseArea {
                anchors.fill:parent
                onClicked: {
                    var serviceId = locationTab.locationData.location.services["weatherchannel"],
                        url = "http://weather.co.uk/weather/10day-"+serviceId+"?par=ubuntu";
                    Qt.openUrlExternally(url)
                }
            }
        }
    }
    Rectangle {
        anchors.left:forecastLink.right
        width:units.gu(15)
        height:parent.height
        Label {
            anchors.verticalCenter: parent.verticalCenter
            text: ">> "+i18n.tr("Hourly forecast")
            fontSize:"medium"
            color: mainView.footerColor
            MouseArea {
                anchors.fill:parent
                onClicked: {
                    var serviceId = locationTab.locationData.location.services["weatherchannel"],
                        url = "http://weather.co.uk/weather/hourbyhour/graph/"+serviceId+"?par=ubuntu";
                    Qt.openUrlExternally(url);
                }
            }
        }

    }
    Rectangle {
        anchors.right: serviceLogo.left
        width:units.gu(0.25)
        height: parent.height
        color: mainView.footerColor
    }
    Rectangle {
        id: serviceLogo
        width:units.gu(9)
        height:parent.height
        anchors.right: parent.right
        Label {
            anchors.verticalCenter: parent.verticalCenter
            anchors.centerIn: parent
            fontSize: "medium"
            font.bold: true
            color:mainView.footerColor
            text: "The\nWeather\nChannel"
        }
        MouseArea {
            anchors.fill:parent
            onClicked: {
                Qt.openUrlExternally("http://weather.co.uk/?par=ubuntu")
            }
        }
    }
}
